Name:          standard-test-roles
Version:       4.11
Release:    2%{?dist}
Summary:       Standard Test Interface Ansible roles

License:       MIT
URL:           https://fedoraproject.org/wiki/Changes/InvokingTestsAnsible
Source0:       http://releases.pagure.org/%{name}/%{name}-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: coreutils
Requires:      ansible-core fmf
Requires:      openssh-clients
Requires:      standard-test-roles-inventory-qemu

%description
Shared Ansible roles to support the Standard Test Interface as described
at %{url}.

%package inventory-qemu
Summary:       Inventory provisioner for using plain qemu command
Requires:      qemu-system-x86
Requires:      genisoimage
Requires:      python3-fmf
#ExclusiveArch： x86_64
%description inventory-qemu
Creates ansible inventory.  Implements provisioner for qemu where test subject
is vm image.

%package inventory-docker
Summary:       Inventory provisioner for using docker
Requires:      docker
%description inventory-docker
Creates ansible inventory.  Implements provisioner for docker where test
subject is docker containers.

%prep
%autosetup

%build

%install
mkdir -p %{buildroot}%{_datadir}/ansible/roles
cp -pr roles/* %{buildroot}%{_datadir}/ansible/roles/
mkdir -p %{buildroot}/%{_bindir}
install -p -m 0755 scripts/merge-standard-inventory %{buildroot}/%{_bindir}/merge-standard-inventory
install -p -m 0755 scripts/str-filter-tests %{buildroot}/%{_bindir}/str-filter-tests
install -p -m 0755 scripts/qcow2-grow %{buildroot}/%{_bindir}/qcow2-grow
mkdir -p %{buildroot}%{_datadir}/ansible/inventory
cp -p inventory/* %{buildroot}%{_datadir}/ansible/inventory/

%files
%license LICENSE
%doc README.md
%config %{_datadir}/ansible/roles/*
%{_bindir}/merge-standard-inventory
%{_bindir}/str-filter-tests
%{_datadir}/ansible/inventory/standard-inventory-local
%{_datadir}/ansible/inventory/standard-inventory-rpm

%files inventory-qemu
%{_bindir}/qcow2-grow
%{_datadir}/ansible/inventory/standard-inventory-qcow2

%files inventory-docker
%{_datadir}/ansible/inventory/standard-inventory-docker

%changelog
* Tue Mar 25 2025 Jiaxin Yang <jiaxinyyang@tencent.com> - 4.11-2
- [Type] bugfix
- [DESC] inventory-qemu only build in x86_64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11-1
- initial build
